OpenTTD Source: src/saveload/oldloader_sl.cpp File Reference

OpenTTD Source 15.0-RC2

Functions | Variables
oldloader_sl.cpp File Reference

Chunks and fix-ups for TTO/TTD/TTDP savegames. More...

`#include "../stdafx.h"`
`#include "../town.h"`
`#include "../industry.h"`
`#include "../company_func.h"`
`#include "../aircraft.h"`
`#include "../roadveh.h"`
`#include "../ship.h"`
`#include "../train.h"`
`#include "../signs_base.h"`
`#include "../station_base.h"`
`#include "../subsidy_base.h"`
`#include "../debug.h"`
`#include "../depot_base.h"`
`#include "../timer/timer_game_calendar.h"`
`#include "../vehicle_func.h"`
`#include "../effectvehicle_base.h"`
`#include "../engine_func.h"`
`#include "../company_base.h"`
`#include "../disaster_vehicle.h"`
`#include "../timer/timer.h"`
`#include "../timer/timer_game_tick.h"`
`#include "saveload_internal.h"`
`#include "oldloader.h"`
`#include "table/strings.h"`
`#include "../table/engines.h"`
`#include "../table/townname.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | FixOldMapArray ()
static void | FixTTDMapArray ()
static void | FixTTDDepots ()
static uint32_t | RemapOldTownName (uint32_t townnameparts, uint8_t old_town_name_type)
static void | FixOldTowns ()
void | FixOldVehicles (LoadgameState &ls)
| Convert the old style vehicles into something that resembles the old new style savegames.
static bool | FixTTOMapArray ()
static bool | FixTTOEngines ()
static void | FixTTOCompanies ()
static Colours | RemapTTOColour (Colours tto)
static uint | RemapTownIndex (uint x)
static uint | RemapOrderIndex (uint x)
static void | ClearOldMap3 (TileIndex t)
static Town * | RemapTown (TileIndex fallback)
static void | ReadTTDPatchFlags (LoadgameState &ls)
static bool | LoadOldTown (LoadgameState &ls, int num)
static bool | LoadOldOrder (LoadgameState &ls, int num)
static bool | LoadOldAnimTileList (LoadgameState &ls, int)
static bool | LoadOldDepot (LoadgameState &ls, int num)
static bool | LoadOldGood (LoadgameState &ls, int num)
static bool | LoadOldStation (LoadgameState &ls, int num)
static bool | LoadOldIndustry (LoadgameState &ls, int num)
static bool | LoadOldCompanyYearly (LoadgameState &ls, int num)
static bool | LoadOldCompanyEconomy (LoadgameState &ls, int)
static bool | LoadOldCompany (LoadgameState &ls, int num)
static bool | LoadOldVehicleUnion (LoadgameState &ls, int)
bool | LoadOldVehicle (LoadgameState &ls, int num)
| Load the vehicles of an old style savegame.
bool | LoadOldCustomString (LoadgameState &ls, int index)
| Read a single string from the savegame.
static bool | LoadOldSign (LoadgameState &ls, int num)
static bool | LoadOldEngine (LoadgameState &ls, int num)
static bool | LoadOldEngineName (LoadgameState &ls, int num)
static bool | LoadOldSubsidy (LoadgameState &ls, int num)
static bool | LoadOldGameDifficulty (LoadgameState &ls, int)
static bool | LoadOldMapPart1 (LoadgameState &ls, int)
static bool | LoadOldMapPart2 (LoadgameState &ls, int)
static bool | LoadTTDPatchExtraChunks (LoadgameState &ls, int)
bool | LoadTTDMain (LoadgameState &ls)
bool | LoadTTOMain (LoadgameState &ls)

## Variables
static bool | _read_ttdpatch_flags
| Have we (tried to) read TTDPatch extra flags?
static uint16_t | _old_extra_chunk_nums
| Number of extra TTDPatch chunks.
static Engine * | _old_engines
std::vector< TileIndex > | _animated_tiles
| The table/list with animated tiles.
TimeoutTimer< TimerGameTick > | _new_competitor_timeout
std::unique_ptr< std::string[]> | _old_name_array
| Location to load the old names to.
static uint32_t | _old_town_index
static uint16_t | _old_string_id
static uint16_t | _old_string_id_2
static std::array< Town::SuppliedHistory, 2 > | _old_pass_supplied {}
static std::array< Town::SuppliedHistory, 2 > | _old_mail_supplied {}
static const OldChunks | town_chunk []
static uint16_t | _old_order
static const OldChunks | order_chunk []
static const OldChunks | depot_chunk []
static StationID | _current_station_id
static uint16_t | _waiting_acceptance
static uint8_t | _cargo_source
static uint8_t | _cargo_periods
static const OldChunks | goods_chunk []
static const OldChunks | station_chunk []
static std::array< Industry::AcceptedCargo, INDUSTRY_ORIGINAL_NUM_INPUTS > | _old_accepted {}
static std::array< Industry::ProducedCargo, INDUSTRY_ORIGINAL_NUM_OUTPUTS > | _old_produced {}
static const OldChunks | industry_chunk []
static CompanyID | _current_company_id
static int32_t | _old_yearly
static const OldChunks | _company_yearly_chunk []
static const OldChunks | _company_economy_chunk []
static const OldChunks | _company_chunk []
static uint32_t | _old_order_ptr
static uint16_t | _old_next_ptr
static VehicleID::BaseType | _current_vehicle_id
static const OldChunks | vehicle_train_chunk []
static const OldChunks | vehicle_road_chunk []
static const OldChunks | vehicle_ship_chunk []
static const OldChunks | vehicle_air_chunk []
static const OldChunks | vehicle_effect_chunk []
static const OldChunks | vehicle_disaster_chunk []
static const OldChunks | vehicle_empty_chunk []
static uint16_t | _cargo_count
static const OldChunks | vehicle_chunk []
static const OldChunks | sign_chunk []
static const OldChunks | engine_chunk []
static const OldChunks | subsidy_chunk []
static const OldChunks | game_difficulty_chunk []
TileIndex | _cur_tileloop_tile
uint16_t | _disaster_delay
| Delay counter for considering the next disaster.
uint8_t | _trees_tick_ctr
| Determines when to consider building more trees.
uint8_t | _age_cargo_skip_counter
| Skip aging of cargo? Used before savegame version 162.
uint8_t | _old_diff_level
uint8_t | _old_units
static const OldChunks | main_chunk []

## Detailed Description

Chunks and fix-ups for TTO/TTD/TTDP savegames.

TTO loader code is based on SVXConverter by Roman Vetter.

Definition in file oldloader_sl.cpp.

## Function Documentation

## ◆ ClearOldMap3()

static void ClearOldMap3 | ( | TileIndex | t | ) |
| static

Definition at line 489 of file oldloader_sl.cpp.

## ◆ FixOldMapArray()

void FixOldMapArray | ( |  | ) |

Definition at line 45 of file oldloader_sl.cpp.

## ◆ FixOldTowns()

static void FixOldTowns | ( |  | ) |
| static

Definition at line 144 of file oldloader_sl.cpp.

## ◆ FixOldVehicles()

void FixOldVehicles | ( | LoadgameState & | ls | ) |

Convert the old style vehicles into something that resembles the old new style savegames.

Then AfterLoadGame can handle the rest of the conversion.

Definition at line 160 of file oldloader_sl.cpp.

## ◆ FixTTDDepots()

static void FixTTDDepots | ( |  | ) |
| static

Workaround for SVXConverter bug, depots 252-255 could be invalid

Definition at line 101 of file oldloader_sl.cpp.

References GetDepotIndex(), IsDepotTile(), and Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_depot_pool >::Iterate().

## ◆ FixTTDMapArray()

static void FixTTDMapArray | ( |  | ) |
| static

Definition at line 52 of file oldloader_sl.cpp.

## ◆ FixTTOCompanies()

static void FixTTOCompanies | ( |  | ) |
| static

Definition at line 449 of file oldloader_sl.cpp.

## ◆ FixTTOEngines()

static bool FixTTOEngines | ( |  | ) |
| static

TTD->TTO remapping of engines; 255 means there is no equivalent. SVXConverter uses (almost) the same table.

TTO->TTD remapping of engines. SVXConverter uses the same table.

Definition at line 340 of file oldloader_sl.cpp.

References Engine::age, Available, CalcEngineReliability(), EngineInfo::climates, Engine::company_avail, TimerGameCalendar::ConvertDateToYMD(), TimerGameCalendar::ConvertYMDToDate(), TimerGameCalendar::date, TimerGameConst< struct Calendar >::DAYS_TILL_ORIGINAL_BASE_YEAR, Engine::duration_phase_1, Engine::duration_phase_2, Engine::duration_phase_3, Engine::flags, Engine::intro_date, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_vehicle_pool >::Iterate(), lengthof, Engine::name, Engine::preview_asked, Engine::preview_company, Engine::preview_wait, Engine::reliability, Engine::reliability_final, Engine::reliability_max, Engine::reliability_spd_dec, Engine::reliability_start, BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Set(), StartupOneEngine(), BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Test(), VEH_AIRCRAFT, VEH_ROAD, VEH_SHIP, and VEH_TRAIN.

## ◆ FixTTOMapArray()

static bool FixTTOMapArray | ( |  | ) |
| static

Definition at line 210 of file oldloader_sl.cpp.

## ◆ LoadOldAnimTileList()

static bool LoadOldAnimTileList | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 669 of file oldloader_sl.cpp.

## ◆ LoadOldCompany()

static bool LoadOldCompany | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 990 of file oldloader_sl.cpp.

## ◆ LoadOldCompanyEconomy()

static bool LoadOldCompanyEconomy | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 929 of file oldloader_sl.cpp.

## ◆ LoadOldCompanyYearly()

static bool LoadOldCompanyYearly | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 902 of file oldloader_sl.cpp.

## ◆ LoadOldCustomString()

bool LoadOldCustomString | ( | LoadgameState & | ls,
|  | int | index
| ) |  |

Read a single string from the savegame.

Parameters

  ls | The state for loading this save game.
  index | The index of the loaded custom string.

Returns
  Always true.

Definition at line 1399 of file oldloader_sl.cpp.

References _old_name_array, _savegame_type, ReadByte(), and SGT_TTO.

## ◆ LoadOldDepot()

static bool LoadOldDepot | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 694 of file oldloader_sl.cpp.

## ◆ LoadOldEngine()

static bool LoadOldEngine | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 1465 of file oldloader_sl.cpp.

## ◆ LoadOldEngineName()

static bool LoadOldEngineName | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 1471 of file oldloader_sl.cpp.

## ◆ LoadOldGameDifficulty()

static bool LoadOldGameDifficulty | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 1516 of file oldloader_sl.cpp.

## ◆ LoadOldGood()

static bool LoadOldGood | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 725 of file oldloader_sl.cpp.

## ◆ LoadOldIndustry()

static bool LoadOldIndustry | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 864 of file oldloader_sl.cpp.

## ◆ LoadOldMapPart1()

static bool LoadOldMapPart1 | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 1524 of file oldloader_sl.cpp.

## ◆ LoadOldMapPart2()

static bool LoadOldMapPart2 | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 1553 of file oldloader_sl.cpp.

## ◆ LoadOldOrder()

static bool LoadOldOrder | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 652 of file oldloader_sl.cpp.

## ◆ LoadOldSign()

static bool LoadOldSign | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 1423 of file oldloader_sl.cpp.

## ◆ LoadOldStation()

static bool LoadOldStation | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 782 of file oldloader_sl.cpp.

## ◆ LoadOldSubsidy()

static bool LoadOldSubsidy | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 1487 of file oldloader_sl.cpp.

## ◆ LoadOldTown()

static bool LoadOldTown | ( | LoadgameState & | ls,
|  | int | num
| ) |  |
| static

Definition at line 622 of file oldloader_sl.cpp.

## ◆ LoadOldVehicle()

bool LoadOldVehicle | ( | LoadgameState & | ls,
|  | int | num
| ) |  |

Load the vehicles of an old style savegame.

So we can set the proper next pointer while loading.

Parameters

  ls | State (buffer) of the currently loaded game.
  num | The number of vehicles to load.

Returns
  True iff loading went without problems.

Definition at line 1258 of file oldloader_sl.cpp.

## ◆ LoadOldVehicleUnion()

static bool LoadOldVehicleUnion | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 1132 of file oldloader_sl.cpp.

## ◆ LoadTTDMain()

bool LoadTTDMain | ( | LoadgameState & | ls | ) |

Definition at line 1797 of file oldloader_sl.cpp.

## ◆ LoadTTDPatchExtraChunks()

static bool LoadTTDPatchExtraChunks | ( | LoadgameState & | ls,
|  | int |
| ) |  |
| static

Definition at line 1565 of file oldloader_sl.cpp.

## ◆ LoadTTOMain()

bool LoadTTOMain | ( | LoadgameState & | ls | ) |

Definition at line 1830 of file oldloader_sl.cpp.

## ◆ ReadTTDPatchFlags()

static void ReadTTDPatchFlags | ( | LoadgameState & | ls | ) |
| static

Definition at line 509 of file oldloader_sl.cpp.

## ◆ RemapOldTownName()

static uint32_t RemapOldTownName | ( | uint32_t | townnameparts,
|  | uint8_t | old_town_name_type
| ) |  |
| static

Definition at line 111 of file oldloader_sl.cpp.

## ◆ RemapOrderIndex()

static uint RemapOrderIndex | ( | uint | x | ) |
| inlinestatic

Definition at line 476 of file oldloader_sl.cpp.

## ◆ RemapTown()

static Town * RemapTown | ( | TileIndex | fallback | ) |
| static

Definition at line 496 of file oldloader_sl.cpp.

## ◆ RemapTownIndex()

static uint RemapTownIndex | ( | uint | x | ) |
| inlinestatic

Definition at line 471 of file oldloader_sl.cpp.

## ◆ RemapTTOColour()

static Colours RemapTTOColour | ( | Colours | tto | ) |
| inlinestatic

Lossy remapping of TTO colours to TTD colours. SVXConverter uses the same conversion.

Definition at line 456 of file oldloader_sl.cpp.

## Variable Documentation

## ◆ _age_cargo_skip_counter

uint8_t _age_cargo_skip_counter
| extern

Skip aging of cargo? Used before savegame version 162.

Definition at line 79 of file misc_sl.cpp.

## ◆ _animated_tiles

std::vector<TileIndex> _animated_tiles
| extern

The table/list with animated tiles.

Definition at line 20 of file animated_tile.cpp.

Referenced by AddAnimatedTile(), AfterLoadGame(), AnimateAnimatedTiles(), DeleteAnimatedTile(), and InitializeAnimatedTiles().

## ◆ _cargo_count

uint16_t _cargo_count
| static

Definition at line 1161 of file oldloader_sl.cpp.

## ◆ _cargo_periods

uint8_t _cargo_periods
| static

Definition at line 711 of file oldloader_sl.cpp.

## ◆ _cargo_source

uint8_t _cargo_source
| static

Definition at line 710 of file oldloader_sl.cpp.

## ◆ _company_chunk

const OldChunks _company_chunk[]
| static

Definition at line 949 of file oldloader_sl.cpp.

## ◆ _company_economy_chunk

const OldChunks _company_economy_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_FILE_I32 | OC_VAR_I64, CompanyEconomyEntry, income ),
OCL_SVAR( OC_FILE_I32 | OC_VAR_I64, CompanyEconomyEntry, expenses ),
OCL_SVAR( OC_INT32, CompanyEconomyEntry, delivered_cargo[NUM_CARGO - 1] ),
OCL_SVAR( OC_INT32, CompanyEconomyEntry, performance_history ),
OCL_SVAR( OC_TTD | OC_FILE_I32 | OC_VAR_I64, CompanyEconomyEntry, company_value ),
}
NUM_CARGO
static const CargoType NUM_CARGO
Maximum number of cargo types in a game.
Definition cargo_type.h:73
OC_TTD
@ OC_TTD
chunk is valid ONLY for TTD savegames
Definition oldloader.h:45
CompanyEconomyEntry
Statistics about the economy.
Definition company_base.h:24

Definition at line 919 of file oldloader_sl.cpp.

## ◆ _company_yearly_chunk

const OldChunks _company_yearly_chunk[]
| static

Initial value:
= {
OCL_VAR( OC_INT32, 1, &_old_yearly ),
}

Definition at line 897 of file oldloader_sl.cpp.

## ◆ _cur_tileloop_tile

TileIndex _cur_tileloop_tile
| extern

Definition at line 789 of file landscape.cpp.

## ◆ _current_company_id

CompanyID _current_company_id
| static

Definition at line 894 of file oldloader_sl.cpp.

## ◆ _current_station_id

StationID _current_station_id
| static

Definition at line 708 of file oldloader_sl.cpp.

## ◆ _current_vehicle_id

VehicleID::BaseType _current_vehicle_id
| static

Definition at line 1062 of file oldloader_sl.cpp.

## ◆ _disaster_delay

uint16_t _disaster_delay
| extern

Delay counter for considering the next disaster.

Definition at line 57 of file disaster_vehicle.cpp.

## ◆ _old_accepted

std::array<Industry::AcceptedCargo, INDUSTRY_ORIGINAL_NUM_INPUTS> _old_accepted {}
| static

Definition at line 817 of file oldloader_sl.cpp.

## ◆ _old_engines

Engine* _old_engines
| static

Definition at line 338 of file oldloader_sl.cpp.

## ◆ _old_extra_chunk_nums

uint16_t _old_extra_chunk_nums
| static

Number of extra TTDPatch chunks.

Definition at line 43 of file oldloader_sl.cpp.

## ◆ _old_mail_supplied

std::array<Town::SuppliedHistory, 2> _old_mail_supplied {}
| static

Definition at line 568 of file oldloader_sl.cpp.

## ◆ _old_name_array

std::unique_ptr<std::string[]> _old_name_array
| extern

Location to load the old names to.

Definition at line 50 of file strings_sl.cpp.

Referenced by CopyFromOldName(), InitializeOldNames(), NAMEChunkHandler::Load(), LoadOldCustomString(), and ResetOldNames().

## ◆ _old_next_ptr

uint16_t _old_next_ptr
| static

Definition at line 1061 of file oldloader_sl.cpp.

## ◆ _old_order

uint16_t _old_order
| static

Definition at line 646 of file oldloader_sl.cpp.

## ◆ _old_order_ptr

uint32_t _old_order_ptr
| static

Definition at line 1060 of file oldloader_sl.cpp.

## ◆ _old_pass_supplied

std::array<Town::SuppliedHistory, 2> _old_pass_supplied {}
| static

Definition at line 567 of file oldloader_sl.cpp.

## ◆ _old_produced

std::array<Industry::ProducedCargo, INDUSTRY_ORIGINAL_NUM_OUTPUTS> _old_produced {}
| static

Definition at line 818 of file oldloader_sl.cpp.

## ◆ _old_string_id

uint16_t _old_string_id
| static

Definition at line 486 of file oldloader_sl.cpp.

## ◆ _old_string_id_2

uint16_t _old_string_id_2
| static

Definition at line 487 of file oldloader_sl.cpp.

## ◆ _old_town_index

uint32_t _old_town_index
| static

Definition at line 485 of file oldloader_sl.cpp.

## ◆ _old_yearly

int32_t _old_yearly
| static

Definition at line 895 of file oldloader_sl.cpp.

## ◆ _read_ttdpatch_flags

bool _read_ttdpatch_flags
| static

Have we (tried to) read TTDPatch extra flags?

Definition at line 42 of file oldloader_sl.cpp.

## ◆ _trees_tick_ctr

uint8_t _trees_tick_ctr
| extern

Determines when to consider building more trees.

Definition at line 45 of file tree_cmd.cpp.

Referenced by DecrementTreeCounter().

## ◆ _waiting_acceptance

uint16_t _waiting_acceptance
| static

Definition at line 709 of file oldloader_sl.cpp.

## ◆ depot_chunk

const OldChunks depot_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_TILE, Depot, xy ),
OCL_VAR ( OC_UINT32, 1, &_old_town_index ),
}
Depot
Definition depot_base.h:20

Definition at line 688 of file oldloader_sl.cpp.

## ◆ engine_chunk

const OldChunks engine_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT16, Engine, company_avail ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U32, Engine, intro_date ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U32, Engine, age ),
OCL_SVAR( OC_UINT16, Engine, reliability ),
OCL_SVAR( OC_UINT16, Engine, reliability_spd_dec ),
OCL_SVAR( OC_UINT16, Engine, reliability_start ),
OCL_SVAR( OC_UINT16, Engine, reliability_max ),
OCL_SVAR( OC_UINT16, Engine, reliability_final ),
OCL_SVAR( OC_UINT16, Engine, duration_phase_1 ),
OCL_SVAR( OC_UINT16, Engine, duration_phase_2 ),
OCL_SVAR( OC_UINT16, Engine, duration_phase_3 ),
OCL_NULL( 1 ),
OCL_SVAR( OC_UINT8, Engine, flags ),
OCL_NULL( 1 ),
OCL_SVAR( OC_UINT8, Engine, preview_wait ),
OCL_CNULL( OC_TTD, 2 ),
}
Engine
Definition engine_base.h:38

Definition at line 1442 of file oldloader_sl.cpp.

## ◆ game_difficulty_chunk

const OldChunks game_difficulty_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, max_no_competitors ),
OCL_NULL( 2),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, number_towns ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, industry_density ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U32, DifficultySettings, max_loan ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, initial_interest ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, vehicle_costs ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, competitor_speed ),
OCL_NULL( 2),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, vehicle_breakdowns ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, subsidy_multiplier ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, construction_cost ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, terrain_type ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, quantity_sea_lakes ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, economy ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, line_reverse_mode ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_U8, DifficultySettings, disasters ),
}
DifficultySettings
Settings related to the difficulty of the game.
Definition settings_type.h:121

Definition at line 1495 of file oldloader_sl.cpp.

## ◆ goods_chunk

const OldChunks goods_chunk[]
| static

Initial value:
= {
OCL_VAR ( OC_UINT16, 1, &_waiting_acceptance ),
OCL_SVAR( OC_UINT8, GoodsEntry, time_since_pickup ),
OCL_SVAR( OC_UINT8, GoodsEntry, rating ),
OCL_VAR ( OC_UINT8, 1, &_cargo_source ),
OCL_VAR ( OC_UINT8, 1, &_cargo_periods ),
OCL_SVAR( OC_UINT8, GoodsEntry, last_speed ),
OCL_SVAR( OC_UINT8, GoodsEntry, last_age ),
}
GoodsEntry
Stores station stats for a single cargo.
Definition station_base.h:167

Definition at line 713 of file oldloader_sl.cpp.

## ◆ industry_chunk

const OldChunks industry_chunk[]
| static

Definition at line 820 of file oldloader_sl.cpp.

## ◆ main_chunk

const OldChunks main_chunk[]
| static

Definition at line 1627 of file oldloader_sl.cpp.

## ◆ order_chunk

const OldChunks order_chunk[]
| static

Initial value:
= {
OCL_VAR ( OC_UINT16, 1, &_old_order ),
}

Definition at line 647 of file oldloader_sl.cpp.

## ◆ sign_chunk

const OldChunks sign_chunk[]
| static

Initial value:
= {
OCL_VAR ( OC_UINT16, 1, &_old_string_id ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_I32, Sign, x ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_I32, Sign, y ),
OCL_SVAR( OC_FILE_U16 | OC_VAR_I8, Sign, z ),
OCL_NULL( 6 ),
}
Sign
Definition signs_base.h:21

Definition at line 1412 of file oldloader_sl.cpp.

## ◆ station_chunk

const OldChunks station_chunk[]
| static

Definition at line 745 of file oldloader_sl.cpp.

## ◆ subsidy_chunk

const OldChunks subsidy_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT8, Subsidy, cargo_type ),
OCL_SVAR( OC_UINT8, Subsidy, remaining ),
OCL_SVAR( OC_FILE_U8 | OC_VAR_U16, Subsidy, src ),
OCL_SVAR( OC_FILE_U8 | OC_VAR_U16, Subsidy, dst ),
}
Subsidy
Struct about subsidies, offered and awarded.
Definition subsidy_base.h:23

Definition at line 1478 of file oldloader_sl.cpp.

## ◆ town_chunk

const OldChunks town_chunk[]
| static

Definition at line 570 of file oldloader_sl.cpp.

## ◆ vehicle_air_chunk

const OldChunks vehicle_air_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT8, Aircraft, pos ),
OCL_SVAR( OC_FILE_U8 | OC_VAR_U16, Aircraft, targetairport ),
OCL_SVAR( OC_UINT16, Aircraft, crashed_counter ),
OCL_SVAR( OC_UINT8, Aircraft, state ),
OCL_NULL( 5 ),
}
Aircraft
Aircraft, helicopters, rotors and their shadows belong to this class.
Definition aircraft.h:72

Definition at line 1097 of file oldloader_sl.cpp.

## ◆ vehicle_chunk

const OldChunks vehicle_chunk[]
| static

Definition at line 1163 of file oldloader_sl.cpp.

## ◆ vehicle_disaster_chunk

const OldChunks vehicle_disaster_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT16, DisasterVehicle, image_override ),
OCL_SVAR( OC_UINT16, DisasterVehicle, big_ufo_destroyer_target ),
OCL_NULL( 6 ),
}
DisasterVehicle
Disasters, like submarines, skyrangers and their shadows, belong to this class.
Definition disaster_vehicle.h:37

Definition at line 1117 of file oldloader_sl.cpp.

## ◆ vehicle_effect_chunk

const OldChunks vehicle_effect_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT16, EffectVehicle, animation_state ),
OCL_SVAR( OC_UINT8, EffectVehicle, animation_substate ),
OCL_NULL( 7 ),
}
EffectVehicle
A special vehicle is one of the following:
Definition effectvehicle_base.h:24

Definition at line 1108 of file oldloader_sl.cpp.

## ◆ vehicle_empty_chunk

const OldChunks vehicle_empty_chunk[]
| static

Initial value:
= {
OCL_NULL( 10 ),
}

Definition at line 1126 of file oldloader_sl.cpp.

## ◆ vehicle_road_chunk

const OldChunks vehicle_road_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT8, RoadVehicle, state ),
OCL_SVAR( OC_UINT8, RoadVehicle, frame ),
OCL_SVAR( OC_UINT16, RoadVehicle, blocked_ctr ),
OCL_SVAR( OC_UINT8, RoadVehicle, overtaking ),
OCL_SVAR( OC_UINT8, RoadVehicle, overtaking_ctr ),
OCL_SVAR( OC_UINT16, RoadVehicle, crashed_ctr ),
OCL_SVAR( OC_UINT8, RoadVehicle, reverse_ctr ),
OCL_NULL( 1 ),
}
RoadVehicle
Buses, trucks and trams belong to this class.
Definition roadveh.h:98

Definition at line 1075 of file oldloader_sl.cpp.

## ◆ vehicle_ship_chunk

const OldChunks vehicle_ship_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT8, Ship, state ),
OCL_NULL( 9 ),
}
Ship
All ships have this type.
Definition ship.h:32

Definition at line 1089 of file oldloader_sl.cpp.

## ◆ vehicle_train_chunk

const OldChunks vehicle_train_chunk[]
| static

Initial value:
= {
OCL_SVAR( OC_UINT8, Train, track ),
OCL_SVAR( OC_UINT8, Train, force_proceed ),
OCL_SVAR( OC_UINT16, Train, crash_anim_pos ),
OCL_NULL( 1 ),
OCL_NULL( 5 ),
}
Train
'Train' is either a loco or a wagon.
Definition train.h:91

Definition at line 1064 of file oldloader_sl.cpp.